跳转到内容
打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
登录后可编辑和发表评论。

Template:ActivityBanner/styles.css

模板页面
ul.ActivityBannerSwitcher {
    margin: 0 !important;
    padding: 0;
    list-style: none !important;
}

.ActivityBannerContainer {
    position: relative;
    width: 500px;
    height: 300px;
    overflow: hidden;
    visibility: hidden;
    border-radius: 0.2em;
}

.ActivityBannerContainer.loaded {
    visibility: visible;
    border-radius: 0.2em;
}

.ActivityBannerImages {
    position: absolute;
    top: 0;
    left: 0;
    height: 300px;
    display: flex;
    transition: left ease-in-out .5s;
}

.ActivityBannerImages>div {
    width: 500px;
    height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 0.2em;
}

.ActivityBannerSwitcher {
    position: absolute;
    width: 100%;
    bottom: 0;
    display: flex;
    justify-content: center;
}

.ActivityBannerSwitcherItem {
    width: 20px;
    height: 20px;
    border-radius: 20px;
    background-color: #fff;
    margin: 10px 10px;
    cursor: pointer;
}

.ActivityBannerSwitcher>.ActivityBannerHoverable {
    background-color: #6D9EF0;
}

.ActivityBannerArrow {
    position: absolute;
    top: calc(50% - 24px);
    margin: 0 3px;
    color: #fff;
    font-weight: 900;
    font-size: 30px;
    cursor: pointer;
    border-radius: 1000px;
    user-select: none;
    background-color: rgba(0, 0, 0, 0);
    transition: background-color ease-in-out .2s;
}

.ActivityBannerArrow.left {
    left: 0;
}

.ActivityBannerArrow.right {
    right: 0;
}

.ActivityBannerContainer:hover .ActivityBannerArrow {
    background-color: rgba(0, 0, 0, .3);
}
/* [[分类:在模板命名空间下的CSS页面]] */